/*
Drawboard - Java applet used to make graphical teleconferences
Copyright (C) 2001  Tomek "TomasH" Zielinski, tomash@fidonet.org.pl

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package drawboard;

import java.awt.Frame;
import java.awt.*;
import java.awt.event.*;


// ===========================================================================
// ===========================================================================
// Saved image window
public class ShowFrame extends Dialog {

  // ===========================================================================
  // ===========================================================================
  class ExtraCanvas extends Canvas{
    Image obrazek;
    ExtraCanvas(Image i){
      obrazek=i;
    }
    public void paint(Graphics g){
      g.drawImage(obrazek,0,0,this);
    }
  }
  ExtraCanvas canvas; // Showed image


  // ===========================================================================
  // Constructor
  public ShowFrame(Frame owner, boolean modal, int x, int y, Image i, String tytul) {
    super(owner, tytul, modal);
    addWindowListener(new WindowAdapter(){
      public void windowClosing(WindowEvent e){
        dispose();
      }
    });
    canvas=new ExtraCanvas(i);
    canvas.setSize(x,y);
    add(canvas);
    this.setResizable(false);
    this.pack();
    this.show();
  }

}